<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zbf.system.mapper.PlcMapper">

    <resultMap type="Plc" id="PlcResult">
        <result property="id"    column="id"    />
        <result property="plcid"    column="plcid"    />
    </resultMap>

    <sql id="selectPlcVo">
        select id, plcid from plc
    </sql>

    <select id="selectPlcList"  resultMap="PlcResult">
        <include refid="selectPlcVo"/>
    </select>



    <update id="updatePlc" parameterType="Plc">
        update plc
        set plcid = #{plcid}
        where id = #{id}
    </update>

</mapper>
